Bug 246129 - [NEW PORT] games/libretro-cap32: Caprice32 - Amstrad CPC Emulator
Summary: [NEW PORT] games/libretro-cap32: Caprice32 - Amstrad CPC Emulator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://github.com/libretro/libretro-...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 21:38 UTC by Daniel Menelkir
Modified: 2020-05-20 05:19 UTC (History)
2 users (show)

See Also:
menelkir: maintainer-feedback+


Attachments
libretro-cap32.diff (2.55 KB, patch)
2020-05-02 21:38 UTC, Daniel Menelkir
menelkir: maintainer-approval+
Details | Diff
libretro-cap32-v2.diff (2.54 KB, patch)
2020-05-05 23:03 UTC, Daniel Menelkir
no flags Details | Diff
libretro-cap32-v3.diff (2.53 KB, patch)
2020-05-08 07:01 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2020-05-02 21:38:58 UTC
Created attachment 214038 [details]
libretro-cap32.diff

Caprice32 is an Amdstrad computers emulator core for libretro compatible emulators, such as retroarch.
Comment 1 Daniel Menelkir 2020-05-05 23:03:17 UTC
Created attachment 214178 [details]
libretro-cap32-v2.diff

Changed the PORTVERSION and do-install to match bug #246067
Comment 2 Daniel Menelkir 2020-05-08 07:01:04 UTC
Created attachment 214265 [details]
libretro-cap32-v3.diff

Removed ${COREDIR} variable.
Comment 3 commit-hook freebsd_committer 2020-05-20 05:16:31 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed May 20 05:16:16 UTC 2020
New revision: 535970
URL: https://svnweb.freebsd.org/changeset/ports/535970

Log:
  [NEW PORT] games/libretro-cap32: Caprice32 - Amstrad CPC Emulator

  Caprice32 is an Amdstrad computers emulator core for libretro compatible emulators, such as games/retroarch.

  PR:		246129
  Submitted by:	menelkir@itroll.org
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24864

Changes:
  head/games/Makefile
  head/games/libretro-cap32/
  head/games/libretro-cap32/Makefile
  head/games/libretro-cap32/distinfo
  head/games/libretro-cap32/pkg-descr
Comment 4 Loïc Bartoletti freebsd_committer 2020-05-20 05:19:58 UTC
Committed, thanks!